Bug 222158 - New port: x11-themes/lumina-themes Themes for the Lumina Desktop
Summary: New port: x11-themes/lumina-themes Themes for the Lumina Desktop
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Marcelo Araujo
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-09 02:21 UTC by q5sys
Modified: 2017-11-06 07:44 UTC (History)
1 user (show)

See Also:


Attachments
diff file (4.23 KB, patch)
2017-09-09 02:21 UTC, q5sys
no flags Details | Diff
diff file (4.18 KB, patch)
2017-09-13 18:07 UTC, q5sys
no flags Details | Diff
shar file (2.89 KB, text/plain)
2017-10-03 17:08 UTC, q5sys
no flags Details
shar file for lumina-themes port (3.86 KB, text/plain)
2017-10-31 15:03 UTC, q5sys
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description q5sys 2017-09-09 02:21:41 UTC
Created attachment 186186 [details]
diff file

Collection of high-resolution wallpapers and Qt5 color schemes from the Lumina desktop project.
Comment 1 Marcelo Araujo freebsd_committer 2017-09-12 14:45:13 UTC
Taking it.
Comment 2 q5sys 2017-09-13 18:07:20 UTC
Created attachment 186345 [details]
diff file

Update diff per Marcelo's suggestions
Comment 3 Marcelo Araujo freebsd_committer 2017-09-22 05:49:14 UTC
Hey,

Sorry my late reply, I'm dealing with jetlag!
As it is a new port, could you please, use shar and submit it again?

Ref: https://www.freebsd.org/doc/en/books/porters-handbook/porting-submitting.html

Section: Example 3.2.
Comment 4 q5sys 2017-10-03 17:08:18 UTC
Created attachment 186883 [details]
shar file
Comment 5 q5sys 2017-10-03 17:25:44 UTC
[q5sys@skynet] /usr/ports/x11-themes/lumina-themes# portlint -a
looks fine.
Comment 6 q5sys 2017-10-31 15:03:15 UTC
Created attachment 187612 [details]
shar file for lumina-themes port

Update to the themes package.

[q5sys@skynet] /usr/ports/x11-themes/lumina-themes# portlint -a
looks fine.
Comment 7 Marcelo Araujo freebsd_committer 2017-11-06 07:44:12 UTC
Committed thanks!
Comment 8 commit-hook freebsd_committer 2017-11-06 07:44:55 UTC
A commit references this bug:

Author: araujo
Date: Mon Nov  6 07:43:51 UTC 2017
New revision: 453596
URL: https://svnweb.freebsd.org/changeset/ports/453596

Log:
  Collection of high-resolution wallpapers and Qt5 color schemes
  from the Lumina desktop project.

  WWW: https://github.com/trueos/lumina-themes

  PR:		222158
  Submitted by:	q5sys <jt@ixsystems.com>
  Sponsored by:	iXsystems, Inc.

Changes:
  head/x11-themes/Makefile
  head/x11-themes/lumina-themes/
  head/x11-themes/lumina-themes/Makefile
  head/x11-themes/lumina-themes/distinfo
  head/x11-themes/lumina-themes/pkg-descr
  head/x11-themes/lumina-themes/pkg-plist